groups
Scout API 1.0.0 — see schemas for shared types.
GET /api/groups
query_groups
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
query |
query | string | no |
Responses
- 200 — OK
application/json→ GroupResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/groups/sync
sync_groups
Request body
Content-Type: application/json
Schema: SyncGroupsRequest
Responses
- 200 — OK
application/json→ SyncGroupsResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/groups/sync/available
get_available_groups
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
query |
query | string | null | no | |
limit |
query | integer | no | |
offset |
query | integer | no |
Responses
- 200 — OK
application/json→ AvailableGroupsResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/groups/sync/available/refresh
refresh_available_groups
Responses
- 200 — OK
application/json→ RefreshAvailableGroupsResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/groups/sync/credential
delete_sync_credential
Responses
- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/groups/sync/credential
get_sync_credential
Responses
- 200 — OK
application/json→ GroupSyncCredentialResponse- 204 — No Content
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/groups/sync/history
get_sync_history
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer | no | |
offset |
query | integer | no |
Responses
- 200 — OK
application/json→ SyncHistoryResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/groups/sync/selections
update_selections
Request body
Content-Type: application/json
Schema: UpdateGroupSelectionsRequest
Responses
- 200 — OK
application/json→ UpdateGroupSelectionsResponse- 422 — Unprocessable Content
application/json→ ValidationError